Ignore:
Timestamp:
Oct 24, 2009 12:00:40 AM (15 years ago)
Author:
bennylp
Message:

More ticket #972: fixed compilation error on Linux due to the last introduction ot PJ_TCP_NODELAY. Everyone needs to re-run configure though (thanks Dan Arrhenius for the report)

File:
1 edited

Legend:

Unmodified
Added
Removed
  • pjproject/trunk/aconfigure

    r2601 r2962  
    63806380 
    63816381 
     6382if test "${ac_cv_header_netinet_tcp_h+set}" = set; then 
     6383  { echo "$as_me:$LINENO: checking for netinet/tcp.h" >&5 
     6384echo $ECHO_N "checking for netinet/tcp.h... $ECHO_C" >&6; } 
     6385if test "${ac_cv_header_netinet_tcp_h+set}" = set; then 
     6386  echo $ECHO_N "(cached) $ECHO_C" >&6 
     6387fi 
     6388{ echo "$as_me:$LINENO: result: $ac_cv_header_netinet_tcp_h" >&5 
     6389echo "${ECHO_T}$ac_cv_header_netinet_tcp_h" >&6; } 
     6390else 
     6391  # Is the header compilable? 
     6392{ echo "$as_me:$LINENO: checking netinet/tcp.h usability" >&5 
     6393echo $ECHO_N "checking netinet/tcp.h usability... $ECHO_C" >&6; } 
     6394cat >conftest.$ac_ext <<_ACEOF 
     6395/* confdefs.h.  */ 
     6396_ACEOF 
     6397cat confdefs.h >>conftest.$ac_ext 
     6398cat >>conftest.$ac_ext <<_ACEOF 
     6399/* end confdefs.h.  */ 
     6400$ac_includes_default 
     6401#include <netinet/tcp.h> 
     6402_ACEOF 
     6403rm -f conftest.$ac_objext 
     6404if { (ac_try="$ac_compile" 
     6405case "(($ac_try" in 
     6406  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     6407  *) ac_try_echo=$ac_try;; 
     6408esac 
     6409eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     6410  (eval "$ac_compile") 2>conftest.er1 
     6411  ac_status=$? 
     6412  grep -v '^ *+' conftest.er1 >conftest.err 
     6413  rm -f conftest.er1 
     6414  cat conftest.err >&5 
     6415  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6416  (exit $ac_status); } && { 
     6417         test -z "$ac_c_werror_flag" || 
     6418         test ! -s conftest.err 
     6419       } && test -s conftest.$ac_objext; then 
     6420  ac_header_compiler=yes 
     6421else 
     6422  echo "$as_me: failed program was:" >&5 
     6423sed 's/^/| /' conftest.$ac_ext >&5 
     6424 
     6425        ac_header_compiler=no 
     6426fi 
     6427 
     6428rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext 
     6429{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5 
     6430echo "${ECHO_T}$ac_header_compiler" >&6; } 
     6431 
     6432# Is the header present? 
     6433{ echo "$as_me:$LINENO: checking netinet/tcp.h presence" >&5 
     6434echo $ECHO_N "checking netinet/tcp.h presence... $ECHO_C" >&6; } 
     6435cat >conftest.$ac_ext <<_ACEOF 
     6436/* confdefs.h.  */ 
     6437_ACEOF 
     6438cat confdefs.h >>conftest.$ac_ext 
     6439cat >>conftest.$ac_ext <<_ACEOF 
     6440/* end confdefs.h.  */ 
     6441#include <netinet/tcp.h> 
     6442_ACEOF 
     6443if { (ac_try="$ac_cpp conftest.$ac_ext" 
     6444case "(($ac_try" in 
     6445  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; 
     6446  *) ac_try_echo=$ac_try;; 
     6447esac 
     6448eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 
     6449  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1 
     6450  ac_status=$? 
     6451  grep -v '^ *+' conftest.er1 >conftest.err 
     6452  rm -f conftest.er1 
     6453  cat conftest.err >&5 
     6454  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     6455  (exit $ac_status); } >/dev/null && { 
     6456         test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" || 
     6457         test ! -s conftest.err 
     6458       }; then 
     6459  ac_header_preproc=yes 
     6460else 
     6461  echo "$as_me: failed program was:" >&5 
     6462sed 's/^/| /' conftest.$ac_ext >&5 
     6463 
     6464  ac_header_preproc=no 
     6465fi 
     6466 
     6467rm -f conftest.err conftest.$ac_ext 
     6468{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5 
     6469echo "${ECHO_T}$ac_header_preproc" >&6; } 
     6470 
     6471# So?  What about this header? 
     6472case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in 
     6473  yes:no: ) 
     6474    { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: accepted by the compiler, rejected by the preprocessor!" >&5 
     6475echo "$as_me: WARNING: netinet/tcp.h: accepted by the compiler, rejected by the preprocessor!" >&2;} 
     6476    { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: proceeding with the compiler's result" >&5 
     6477echo "$as_me: WARNING: netinet/tcp.h: proceeding with the compiler's result" >&2;} 
     6478    ac_header_preproc=yes 
     6479    ;; 
     6480  no:yes:* ) 
     6481    { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: present but cannot be compiled" >&5 
     6482echo "$as_me: WARNING: netinet/tcp.h: present but cannot be compiled" >&2;} 
     6483    { echo "$as_me:$LINENO: WARNING: netinet/tcp.h:     check for missing prerequisite headers?" >&5 
     6484echo "$as_me: WARNING: netinet/tcp.h:     check for missing prerequisite headers?" >&2;} 
     6485    { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: see the Autoconf documentation" >&5 
     6486echo "$as_me: WARNING: netinet/tcp.h: see the Autoconf documentation" >&2;} 
     6487    { echo "$as_me:$LINENO: WARNING: netinet/tcp.h:     section \"Present But Cannot Be Compiled\"" >&5 
     6488echo "$as_me: WARNING: netinet/tcp.h:     section \"Present But Cannot Be Compiled\"" >&2;} 
     6489    { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: proceeding with the preprocessor's result" >&5 
     6490echo "$as_me: WARNING: netinet/tcp.h: proceeding with the preprocessor's result" >&2;} 
     6491    { echo "$as_me:$LINENO: WARNING: netinet/tcp.h: in the future, the compiler will take precedence" >&5 
     6492echo "$as_me: WARNING: netinet/tcp.h: in the future, the compiler will take precedence" >&2;} 
     6493 
     6494    ;; 
     6495esac 
     6496{ echo "$as_me:$LINENO: checking for netinet/tcp.h" >&5 
     6497echo $ECHO_N "checking for netinet/tcp.h... $ECHO_C" >&6; } 
     6498if test "${ac_cv_header_netinet_tcp_h+set}" = set; then 
     6499  echo $ECHO_N "(cached) $ECHO_C" >&6 
     6500else 
     6501  ac_cv_header_netinet_tcp_h=$ac_header_preproc 
     6502fi 
     6503{ echo "$as_me:$LINENO: result: $ac_cv_header_netinet_tcp_h" >&5 
     6504echo "${ECHO_T}$ac_cv_header_netinet_tcp_h" >&6; } 
     6505 
     6506fi 
     6507if test $ac_cv_header_netinet_tcp_h = yes; then 
     6508  cat >>confdefs.h <<\_ACEOF 
     6509#define PJ_HAS_NETINET_TCP_H 1 
     6510_ACEOF 
     6511 
     6512fi 
     6513 
     6514 
    63826515if test "${ac_cv_header_ifaddrs_h+set}" = set; then 
    63836516  { echo "$as_me:$LINENO: checking for ifaddrs.h" >&5 
Note: See TracChangeset for help on using the changeset viewer.